<?php   
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::table('lessons', function (Blueprint $table) {
            $table->dateTime('available_at')
                  ->nullable()
                  ->after('duration');
        });

        Schema::table('tasks', function (Blueprint $table) {
            $table->dateTime('available_at')
                  ->nullable()
                  ->after('deadline');
        });
    }

    public function down(): void
    {
        Schema::table('lessons', function (Blueprint $table) {
            $table->dropColumn('available_at');
        });

        Schema::table('tasks', function (Blueprint $table) {
            $table->dropColumn('available_at');
        });
    }
};
